Get reports for service-orders
Get reports for service-orders.
Required permissions: SERVICE_ORDER
get/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/reports
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+serviceOrderUidstringRequiredPattern:
Reference to a service order
^[A-Za-z0-9-_]+Responses
200
Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
contentstringRequired
base64 encoded
contentTypestringRequired
mime type
filenamestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/reports
GET /v2/tenants/{tenantUid}/stores/{storeUid}/serviceorders/{serviceOrderUid}/reports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
{
"content": "text",
"contentType": "text",
"filename": "text"
}Last updated
Was this helpful?

